services:
  path_processor.etherpad_api:
    class: Drupal\etherpad_api\PathProcessor\EtherpadAPIPathProcessor
    tags:
      - { name: path_processor_inbound, priority: 1000 }
  etherpad_api.settings:
    class: Drupal\Core\Config\ImmutableConfig
    factory: config.factory:get
    arguments: ['etherpad_api.settings']
  etherpad_api.client:
    class: Drupal\etherpad_api\Client
    arguments: ['@http_client', '@etherpad_api.settings']
